> For the complete documentation index, see [llms.txt](https://api.qvalia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.qvalia.io/sample-data/api-sample-data/orderchange.md).

# OrderChange

Base OrderChange example

Sample origin: <https://github.com/OpenPEPPOL/poacc-upgrade-3/blob/master/rules/examples/OrderChange_Example.xml>

{% tabs %}
{% tab title="JSON" %}

```json
{
  "OrderChange": {
    "$": {
      "xmlns": "urn:oasis:names:specification:ubl:schema:xsd:OrderChange-2",
      "xmlns:cac": "urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2",
      "xmlns:cbc": "urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2",
      "xmlns:xs": "http://www.w3.org/2001/XMLSchema"
    },
    "cbc:CustomizationID": [
      {
        "_": "urn:fdc:peppol.eu:poacc:trns:order_change:3"
      }
    ],
    "cbc:ProfileID": [
      {
        "_": "urn:fdc:peppol.eu:poacc:bis:advanced_ordering:3"
      }
    ],
    "cbc:ID": [
      {
        "_": "Change-1"
      }
    ],
    "cbc:IssueDate": [
      {
        "_": "2022-02-01"
      }
    ],
    "cbc:SequenceNumberID": [
      {
        "_": "1"
      }
    ],
    "cbc:Note": [
      {
        "_": "Changes according to Order reponse"
      }
    ],
    "cbc:DocumentCurrencyCode": [
      {
        "_": "EUR"
      }
    ],
    "cac:ValidityPeriod": [
      {
        "cbc:EndDate": [
          {
            "_": "2022-03-01"
          }
        ]
      }
    ],
    "cac:OrderReference": [
      {
        "cbc:ID": [
          {
            "_": "Order-1"
          }
        ]
      }
    ],
    "cac:BuyerCustomerParty": [
      {
        "cac:Party": [
          {
            "cbc:EndpointID": [
              {
                "_": "7300010000001",
                "$": {
                  "schemeID": "0088"
                }
              }
            ],
            "cac:PartyIdentification": [
              {
                "cbc:ID": [
                  {
                    "_": "5541277710",
                    "$": {
                      "schemeID": "0007"
                    }
                  }
                ]
              }
            ],
            "cac:PartyName": [
              {
                "cbc:Name": [
                  {
                    "_": "City Hospital"
                  }
                ]
              }
            ],
            "cac:PartyLegalEntity": [
              {
                "cbc:RegistrationName": [
                  {
                    "_": "City Hospital 345433"
                  }
                ],
                "cbc:CompanyID": [
                  {
                    "_": "5541277710",
                    "$": {
                      "schemeID": "0007"
                    }
                  }
                ],
                "cac:RegistrationAddress": [
                  {
                    "cbc:CityName": [
                      {
                        "_": "Eurocity"
                      }
                    ],
                    "cac:Country": [
                      {
                        "cbc:IdentificationCode": [
                          {
                            "_": "SE"
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "cac:Contact": [
              {
                "cbc:Name": [
                  {
                    "_": "Martin Foggerty"
                  }
                ],
                "cbc:Telephone": [
                  {
                    "_": "+46555785488"
                  }
                ],
                "cbc:ElectronicMail": [
                  {
                    "_": "martin.foggerty@cityhospital.se"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "cac:SellerSupplierParty": [
      {
        "cac:Party": [
          {
            "cbc:EndpointID": [
              {
                "_": "7302347231110",
                "$": {
                  "schemeID": "0088"
                }
              }
            ],
            "cac:PartyIdentification": [
              {
                "cbc:ID": [
                  {
                    "_": "5546577791",
                    "$": {
                      "schemeID": "0007"
                    }
                  }
                ]
              }
            ],
            "cac:PostalAddress": [
              {
                "cbc:StreetName": [
                  {
                    "_": "Harbour street"
                  }
                ],
                "cbc:AdditionalStreetName": [
                  {
                    "_": "Dock 45"
                  }
                ],
                "cbc:CityName": [
                  {
                    "_": "Bergen"
                  }
                ],
                "cac:Country": [
                  {
                    "cbc:IdentificationCode": [
                      {
                        "_": "NO"
                      }
                    ]
                  }
                ]
              }
            ],
            "cac:PartyLegalEntity": [
              {
                "cbc:RegistrationName": [
                  {
                    "_": "The Supplier AB"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "cac:Delivery": [
      {
        "cac:DeliveryLocation": [
          {
            "cac:Address": [
              {
                "cbc:StreetName": [
                  {
                    "_": "Lower street 5"
                  }
                ],
                "cbc:AdditionalStreetName": [
                  {
                    "_": "Reception"
                  }
                ],
                "cbc:CityName": [
                  {
                    "_": "Stockholm"
                  }
                ],
                "cbc:PostalZone": [
                  {
                    "_": "11120"
                  }
                ],
                "cac:AddressLine": [
                  {
                    "cbc:Line": [
                      {
                        "_": "Right"
                      }
                    ]
                  }
                ],
                "cac:Country": [
                  {
                    "cbc:IdentificationCode": [
                      {
                        "_": "SE"
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ],
        "cac:RequestedDeliveryPeriod": [
          {
            "cbc:StartDate": [
              {
                "_": "2013-07-15"
              }
            ],
            "cbc:EndDate": [
              {
                "_": "2013-07-16"
              }
            ]
          }
        ],
        "cac:DeliveryParty": [
          {
            "cac:PartyName": [
              {
                "cbc:Name": [
                  {
                    "_": "Hospital Tourist Department"
                  }
                ]
              }
            ],
            "cac:Contact": [
              {
                "cbc:Name": [
                  {
                    "_": "John"
                  }
                ],
                "cbc:Telephone": [
                  {
                    "_": "+465558877523"
                  }
                ],
                "cbc:ElectronicMail": [
                  {
                    "_": "john@cityhospital.se"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "cac:TaxTotal": [
      {
        "cbc:TaxAmount": [
          {
            "_": "100",
            "$": {
              "currencyID": "EUR"
            }
          }
        ]
      }
    ],
    "cac:AnticipatedMonetaryTotal": [
      {
        "cbc:LineExtensionAmount": [
          {
            "_": "500",
            "$": {
              "currencyID": "EUR"
            }
          }
        ],
        "cbc:TaxExclusiveAmount": [
          {
            "_": "500",
            "$": {
              "currencyID": "EUR"
            }
          }
        ],
        "cbc:TaxInclusiveAmount": [
          {
            "_": "600",
            "$": {
              "currencyID": "EUR"
            }
          }
        ],
        "cbc:PayableAmount": [
          {
            "_": "600",
            "$": {
              "currencyID": "EUR"
            }
          }
        ]
      }
    ],
    "cac:OrderLine": [
      {
        "cac:LineItem": [
          {
            "cbc:ID": [
              {
                "_": "1"
              }
            ],
            "cbc:LineStatusCode": [
              {
                "_": "3"
              }
            ],
            "cbc:Quantity": [
              {
                "_": "5",
                "$": {
                  "unitCode": "NAR"
                }
              }
            ],
            "cbc:LineExtensionAmount": [
              {
                "_": "200",
                "$": {
                  "currencyID": "EUR"
                }
              }
            ],
            "cac:Price": [
              {
                "cbc:PriceAmount": [
                  {
                    "_": "40",
                    "$": {
                      "currencyID": "EUR"
                    }
                  }
                ]
              }
            ],
            "cac:Item": [
              {
                "cbc:Name": [
                  {
                    "_": "Item 1"
                  }
                ],
                "cac:ClassifiedTaxCategory": [
                  {
                    "cbc:ID": [
                      {
                        "_": "S"
                      }
                    ],
                    "cbc:Percent": [
                      {
                        "_": "20"
                      }
                    ],
                    "cac:TaxScheme": [
                      {
                        "cbc:ID": [
                          {
                            "_": "VAT"
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        "cac:LineItem": [
          {
            "cbc:ID": [
              {
                "_": "2"
              }
            ],
            "cbc:LineStatusCode": [
              {
                "_": "3"
              }
            ],
            "cbc:Quantity": [
              {
                "_": "50",
                "$": {
                  "unitCode": "NAR"
                }
              }
            ],
            "cbc:LineExtensionAmount": [
              {
                "_": "300",
                "$": {
                  "currencyID": "EUR"
                }
              }
            ],
            "cac:Price": [
              {
                "cbc:PriceAmount": [
                  {
                    "_": "6",
                    "$": {
                      "currencyID": "EUR"
                    }
                  }
                ]
              }
            ],
            "cac:Item": [
              {
                "cbc:Name": [
                  {
                    "_": "Item 2"
                  }
                ],
                "cac:ClassifiedTaxCategory": [
                  {
                    "cbc:ID": [
                      {
                        "_": "S"
                      }
                    ],
                    "cbc:Percent": [
                      {
                        "_": "20"
                      }
                    ],
                    "cac:TaxScheme": [
                      {
                        "cbc:ID": [
                          {
                            "_": "VAT"
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```

{% endtab %}

{% tab title="XML" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<OrderChange xmlns="urn:oasis:names:specification:ubl:schema:xsd:OrderChange-2"
  xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
  xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <cbc:CustomizationID>urn:fdc:peppol.eu:poacc:trns:order_change:3</cbc:CustomizationID>
  <cbc:ProfileID>urn:fdc:peppol.eu:poacc:bis:advanced_ordering:3</cbc:ProfileID>
  <cbc:ID>Change-1</cbc:ID>
  <cbc:IssueDate>2022-02-01</cbc:IssueDate>
  <cbc:SequenceNumberID>1</cbc:SequenceNumberID>
  <cbc:Note>Changes according to Order reponse</cbc:Note>
  <cbc:DocumentCurrencyCode>EUR</cbc:DocumentCurrencyCode>
  <cac:ValidityPeriod>
    <cbc:EndDate>2022-03-01</cbc:EndDate>
  </cac:ValidityPeriod>
  <cac:OrderReference>
    <cbc:ID>Order-1</cbc:ID>
  </cac:OrderReference>
  <cac:BuyerCustomerParty>
    <cac:Party>
      <cbc:EndpointID schemeID="0088">7300010000001</cbc:EndpointID>
      <cac:PartyIdentification>
        <cbc:ID schemeID="0007">5541277710</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyName>
        <cbc:Name>City Hospital</cbc:Name>
      </cac:PartyName>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName>City Hospital 345433</cbc:RegistrationName>
        <cbc:CompanyID schemeID="0007">5541277710</cbc:CompanyID>
        <cac:RegistrationAddress>
          <cbc:CityName>Eurocity</cbc:CityName>
          <cac:Country>
            <cbc:IdentificationCode>SE</cbc:IdentificationCode>
          </cac:Country>
        </cac:RegistrationAddress>
      </cac:PartyLegalEntity>
      <cac:Contact>
        <cbc:Name>Martin Foggerty</cbc:Name>
        <cbc:Telephone>+46555785488</cbc:Telephone>
        <cbc:ElectronicMail>martin.foggerty@cityhospital.se</cbc:ElectronicMail>
      </cac:Contact>
    </cac:Party>
  </cac:BuyerCustomerParty>
  <cac:SellerSupplierParty>
    <cac:Party>
      <cbc:EndpointID schemeID="0088">7302347231110</cbc:EndpointID>
      <cac:PartyIdentification>
        <cbc:ID schemeID="0007">5546577791</cbc:ID>
      </cac:PartyIdentification>
      <cac:PostalAddress>
        <cbc:StreetName>Harbour street</cbc:StreetName>
        <cbc:AdditionalStreetName>Dock 45</cbc:AdditionalStreetName>
        <cbc:CityName>Bergen</cbc:CityName>
        <cac:Country>
          <cbc:IdentificationCode>NO</cbc:IdentificationCode>
        </cac:Country>
      </cac:PostalAddress>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName>The Supplier AB</cbc:RegistrationName>
      </cac:PartyLegalEntity>
    </cac:Party>
  </cac:SellerSupplierParty>
  <cac:Delivery>
    <cac:DeliveryLocation>
      <cac:Address>
        <cbc:StreetName>Lower street 5</cbc:StreetName>
        <cbc:AdditionalStreetName>Reception</cbc:AdditionalStreetName>
        <cbc:CityName>Stockholm</cbc:CityName>
        <cbc:PostalZone>11120</cbc:PostalZone>
        <cac:AddressLine>
          <cbc:Line>Right</cbc:Line>
        </cac:AddressLine>
        <cac:Country>
          <cbc:IdentificationCode>SE</cbc:IdentificationCode>
        </cac:Country>
      </cac:Address>
    </cac:DeliveryLocation>
    <cac:RequestedDeliveryPeriod>
      <cbc:StartDate>2013-07-15</cbc:StartDate>
      <cbc:EndDate>2013-07-16</cbc:EndDate>
    </cac:RequestedDeliveryPeriod>
    <cac:DeliveryParty>
      <cac:PartyName>
        <cbc:Name>Hospital Tourist Department</cbc:Name>
      </cac:PartyName>
      <cac:Contact>
        <cbc:Name>John</cbc:Name>
        <cbc:Telephone>+465558877523</cbc:Telephone>
        <cbc:ElectronicMail>john@cityhospital.se</cbc:ElectronicMail>
      </cac:Contact>
    </cac:DeliveryParty>
  </cac:Delivery>
  <cac:TaxTotal>
    <cbc:TaxAmount currencyID="EUR">100</cbc:TaxAmount>
  </cac:TaxTotal>
  <cac:AnticipatedMonetaryTotal>
    <cbc:LineExtensionAmount currencyID="EUR">500</cbc:LineExtensionAmount>
    <cbc:TaxExclusiveAmount currencyID="EUR">500</cbc:TaxExclusiveAmount>
    <cbc:TaxInclusiveAmount currencyID="EUR">600</cbc:TaxInclusiveAmount>
    <cbc:PayableAmount currencyID="EUR">600</cbc:PayableAmount>
  </cac:AnticipatedMonetaryTotal>
  <cac:OrderLine>
    <cac:LineItem>
      <cbc:ID>1</cbc:ID>
      <cbc:LineStatusCode>3</cbc:LineStatusCode>
      <cbc:Quantity unitCode="NAR">5</cbc:Quantity>
      <cbc:LineExtensionAmount currencyID="EUR">200</cbc:LineExtensionAmount>
      <cac:Price>
        <cbc:PriceAmount currencyID="EUR">40</cbc:PriceAmount>
      </cac:Price>
      <cac:Item>
        <cbc:Name>Item 1</cbc:Name>
        <cac:ClassifiedTaxCategory>
          <cbc:ID>S</cbc:ID>
          <cbc:Percent>20</cbc:Percent>
          <cac:TaxScheme>
            <cbc:ID>VAT</cbc:ID>
          </cac:TaxScheme>
        </cac:ClassifiedTaxCategory>
      </cac:Item>
    </cac:LineItem>
  </cac:OrderLine>
  <cac:OrderLine>
    <cac:LineItem>
      <cbc:ID>2</cbc:ID>
      <cbc:LineStatusCode>3</cbc:LineStatusCode>
      <cbc:Quantity unitCode="NAR">50</cbc:Quantity>
      <cbc:LineExtensionAmount currencyID="EUR">300</cbc:LineExtensionAmount>
      <cac:Price>
        <cbc:PriceAmount currencyID="EUR">6</cbc:PriceAmount>
      </cac:Price>
      <cac:Item>
        <cbc:Name>Item 2</cbc:Name>
        <cac:ClassifiedTaxCategory>
          <cbc:ID>S</cbc:ID>
          <cbc:Percent>20</cbc:Percent>
          <cac:TaxScheme>
            <cbc:ID>VAT</cbc:ID>
          </cac:TaxScheme>
        </cac:ClassifiedTaxCategory>
      </cac:Item>
    </cac:LineItem>
  </cac:OrderLine>
</OrderChange>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api.qvalia.io/sample-data/api-sample-data/orderchange.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
